Name:		SL_no_colorls
Version:	1
Release:	4%{?dist}
Summary:	This will disable automatic colors for 'ls'

Group:		SL
License:	GPL
URL:		www.scientificlinux.org
BuildArch:	noarch

Requires(post):	coreutils

%description
This rpm removes the default color ls behavior by renaming

/etc/profile.d/colorls.[c]sh

So that they are not automatically imported into your environment

%files
%defattr(-,root,root,-)

%post -p /bin/bash
if [[ -f /etc/profile.d/colorls.sh ]]; then
    mv -f /etc/profile.d/colorls.sh /etc/profile.d/colorls.sh.no_exec
fi
if [[ -f /etc/profile.d/colorls.csh ]]; then
    mv -f /etc/profile.d/colorls.csh /etc/profile.d/colorls.csh.no_exec
fi

%postun -p /bin/bash
if [[ -f /etc/profile.d/colorls.sh.no_exec ]]; then
    mv -f /etc/profile.d/colorls.sh.no_exec /etc/profile.d/colorls.sh
fi
if [[ -f /etc/profile.d/colorls.csh.no_exec ]]; then
    mv -f /etc/profile.d/colorls.csh.no_exec /etc/profile.d/colorls.csh.no_exec
fi

%triggerin -p /bin/bash -- coreutils
if [[ -f /etc/profile.d/colorls.sh ]]; then
    mv -f /etc/profile.d/colorls.sh /etc/profile.d/colorls.sh.no_exec
fi
if [[ -f /etc/profile.d/colorls.csh ]]; then
    mv -f /etc/profile.d/colorls.csh /etc/profile.d/colorls.csh.no_exec
fi

%changelog
* Wed Jul 16 2014 Pat Riehecky <riehecky@fnal.gov> 1.4.sl7
- Added trigger on coreutils to keep behavior even after upgrade

* Mon Sep 30 2013 Pat Riehecky <riehecky@fnal.gov> 1.3.sl7
- updated for SL7 (rpmlint fixes really)
